import { type Engine, type ICoordinates, type IOptionLoader, type RecursivePartial } from "@tsparticles/engine";
import type { IPolygonMask } from "../Interfaces/IPolygonMask.js";
import { PolygonMaskDraw } from "./PolygonMaskDraw.js";
import { PolygonMaskInline } from "./PolygonMaskInline.js";
import { PolygonMaskLocalSvg } from "./PolygonMaskLocalSvg.js";
import { PolygonMaskMove } from "./PolygonMaskMove.js";
import { PolygonMaskType } from "../../Enums/PolygonMaskType.js";
export declare class PolygonMask implements IPolygonMask, IOptionLoader<IPolygonMask> {
    data?: string | PolygonMaskLocalSvg;
    draw: PolygonMaskDraw;
    enable: boolean;
    inline: PolygonMaskInline;
    move: PolygonMaskMove;
    position?: ICoordinates;
    scale: number;
    type: PolygonMaskType;
    url?: string;
    constructor(engine: Engine);
    load(data?: RecursivePartial<IPolygonMask>): void;
}
