(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "../../Enums/PolygonMaskMoveType.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.PolygonMaskMove = void 0;
    const engine_1 = require("@tsparticles/engine");
    const PolygonMaskMoveType_js_1 = require("../../Enums/PolygonMaskMoveType.js");
    class PolygonMaskMove {
        constructor() {
            this.radius = 10;
            this.type = PolygonMaskMoveType_js_1.PolygonMaskMoveType.path;
        }
        load(data) {
            if ((0, engine_1.isNull)(data)) {
                return;
            }
            if (data.radius !== undefined) {
                this.radius = data.radius;
            }
            if (data.type !== undefined) {
                this.type = data.type;
            }
        }
    }
    exports.PolygonMaskMove = PolygonMaskMove;
});
